<template>
<div class="player-list">
	<player-list-item
		v-for="player in players"
		:ai="player.is_ai || local"
		:id="player.id"
		:key="player.id"
		:name="player.name"
		:ready="player.is_ready"
	/>
</div>
</template>

<script>
import PlayerListItem from "./PlayerListItem.vue"

export default {
	components: { PlayerListItem },
	name: "player-list",
	props: [ "local", "players" ]
}
</script>

<style lang="less" scoped>
.player-list {
	background-color: #000;
	border: 1px solid #fff;
	color: #fff;
}
</style>